<?php use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>
<?php use_helper('I18N') ?>

<div id="questionForm" class="tableShow">
    <form action="<?php echo url_for('answermix/' . ($form->getObject()->isNew() ? 'create' : 'update') . (!$form->getObject()->isNew() ? '?answermixedid=' . $form->getObject()->getAnswermixedid() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
        <?php if (!$form->getObject()->isNew()): ?>
            <input type="hidden" name="sf_method" value="put" />
        <?php endif; ?>
        <input type="hidden" name="questionNumber" value="<?php echo $questionNumber ?>" />
        <input type="hidden" name="questionSubnumber" value="<?php echo $questionSubnumber ?>" />
        <table>
            <tfoot>
                <tr>
                    <td colspan="2">
                        <?php echo $form->renderHiddenFields(false) ?>
                        &nbsp;<a href="<?php echo url_for('answermix/index?questionNumber=' . $questionNumber . '&questionSubnumber=' . $questionSubnumber) ?>" class="actionLinks listAction"><?php echo __('Powrót do listy') ?></a>
                        <input type="submit" value="<?php echo __('Zapisz') ?>" />
                    </td>
                </tr>
            </tfoot>
            <tbody>
                <?php echo $form->renderGlobalErrors() ?>
                <tr>
                    <th><?php echo __('Numer pytania') ?></th>
                    <td>
                        <?php echo $form->getObject()->getQuestionFullNumber() ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['number']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['number']->renderError() ?>
                        <?php echo $form['number'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['subnumber']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['subnumber']->renderError() ?>
                        <?php echo $form['subnumber'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['type']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['type']->renderError() ?>
                        <?php echo $form['type'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form[$sf_user->getCulture()]['answerText']->renderLabel() ?></th>
                    <td>
                        <?php echo $form[$sf_user->getCulture()]['answerText']->renderError() ?>
                        <?php echo $form[$sf_user->getCulture()]['answerText'] ?>
                        <?php echo $form[$sf_user->getCulture()]['id'] ?>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>