<?php use_helper('I18N') ?>

    <h1><?php echo __('Ocena efektywności bezpośredniej innowacji') ?></h1>

    <table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th><?php echo __('L.p.') ?></th>
                <th>
                    <?php echo __('Cykl innowacji') ?> <br/>
                    [ <?php echo __('okres %n% letni', array('%n%' => $innovationRange)) ?> ]
                </th>
                <th>
                    <?php echo __('Dane z Tab.%nr%', array('%nr%' => '1')) ?><br/>
                    - <?php echo __('poz. %nr%', array('%nr%' => '41')) ?>,<br/>
                    <?php echo __('suma z lat') ?>:
                </th>
                <th>
                    <?php echo __('Dane z Tab.%nr%', array('%nr%' => '1')) ?><br/>
                    - <?php echo __('poz. %nr%', array('%nr%' => '38.2')) ?>,<br/>
                    <?php echo __('suma z lat') ?>:
                </th>
                <th>
                    <?php echo __('Dane z Tab.%nr%', array('%nr%' => '1')) ?><br/>
                    - <?php echo __('poz. %nr%', array('%nr%' => '68.2')) ?>,<br/>
                    <?php echo __('suma z lat') ?>:
                </th>
                <th>
                    <?php echo __('Efekty bezpośrednie') ?><br/>
                    [ <?php echo __('tys.') ?> <?php echo __('zł') ?> ]
                </th>
            </tr>
        </thead>
        <tbody>
            <?php for ($i = $startYear; $i < $endYear + 2; $i++) : ?>
                <tr>
                    <td>
                        <?php echo ($i - $startYear + 1) . '.' ?>
                    </td>
                    <td>
                        <?php echo $i . ' - ' . ($i + $innovationRange - 1) ?>
                    </td>
                    <td>
                        <?php echo $tab2['41.0'][$i] ?>
                    </td>
                    <td>
                        <?php echo $tab2['38.2'][$i] ?>
                    </td>
                    <td>
                        <?php echo $tab2['68.2'][$i] ?>
                    </td>
                    <td>
                        <?php echo $tab2['sum'][$i] ?>
                    </td>
                </tr>
            <?php endfor; ?>
        </tbody>
    </table>
<br/>
<br/>
    <table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th><?php echo __('L.p.') ?></th>
                <th style="width: 14%">
                    <?php echo __('Cykl innowacji') ?> <br/>
                    [ <?php echo __('okres %n% letni', array('%n%' => $innovationRange)) ?> ]
                </th>
                <th style="width: 14%">
                    <?php echo __('Dane z Tab.%nr%', array('%nr%' => '1')) ?><br/>
                    - <?php echo __('poz. %nr%', array('%nr%' => '1')) ?>,<br/>
                    <?php echo __('suma z lat') ?><br/>
                    [ <?php echo __('Nakłady') ?> ]<br/>'N'
                </th>
                <th style="width: 14%">
                    <?php echo __('Dane z Tab.%nr%', array('%nr%' => '2')) ?><br/>
                    - <?php echo __('kolumna %nr%', array('%nr%' => '6')) ?><br/>
                    'E'
                </th>
                <th style="width: 14%">
                    [ E/N ] * 100% <br/>[ ( 4/3 ) * 100% ]
                </th>
                <th>
                    % <?php echo __('udziału czasu realizacji cyklu innowacji') ?> – <?php echo __('stan po zakończonym %r1% r. [ w roku %r2% ]', array('%r1%' => $endYear, '%r2%' => $endYear + 1)) ?>
                </th>
                <th style="width: 14%">
                    <?php echo __('Stopień realizacji innowacji') ?> [ % ]<br/>[ <?php echo __('poz. %nr%', array('%nr%' => '5')) ?> / <?php echo __('poz. %nr%', array('%nr%' => '6')) ?> ] * 100%
                </th>

            </tr>
        </thead>
        <tbody>
            <?php for ($tmp = array(), $i = $startYear; $i < $endYear + 2; $i++) : ?>
                <tr>
                    <td>
                        <?php echo ($i - $startYear + 1) . '.' ?>
                    </td>

                    <td>
                        <?php echo $i . ' - ' . ($i + $innovationRange - 1) ?>
                    </td>

                    <td>
                        <?php echo $tab2['1.0'][$i] ?>
                    </td>

                    <td>
                        <?php echo $tab2['sum'][$i] ?>
                    </td>

                    <td>
                        <?php
                        if ($tab2['1.0'][$i] == 0 || $tab2['sum'][$i] == 0) {
                            echo '0%';
                            $tmp['col5'][$i] = 0;
                        } else {
                            $tmp['col5'][$i] = $tab2['sum'][$i] / $tab2['1.0'][$i];
                            echo number_format($tmp['col5'][$i] * 100, 2, '.', ' ') . '%';
                        }
                        ?>
                    </td>

                    <td>
                        <?php
                        $tmp['col6'][$i] = ($endYear - $i + 1) / $innovationRange;
                        echo (number_format($tmp['col6'][$i] * 100, 2, '.', ' ')) . '%';
                        ?>
                    </td>

                    <td>
                        <?php
                        if ($tmp['col5'][$i] == 0 || $tmp['col6'][$i] == 0) {
                            echo '0%';
                            $tmp['col7'][$i] = 0;
                        } else {
                            $tmp['col7'][$i] = $tmp['col5'][$i] / $tmp['col6'][$i];
                            echo (number_format($tmp['col7'][$i] * 100, 2, '.', ' ')) . '%';
                        }
                        ?>
                    </td>
                </tr>
            <?php endfor; ?>
        </tbody>
    </table>