<?php use_helper('I18N') ?>
	<script type="text/javascript">
	<!--
		$(function(){
			$('#popoverHead').popover({
					placement:'bottom'
				});
		});
		
	//-->
	</script>
    <h1 id="popoverHead" rel="popover" title="<?php echo __('Ocena skuteczności innowacji') ?>" 
    	data-content="<?php echo __('Możliwa w sytuacji, gdy przedsiębiorstwo opracowało szczegółowy plan wdrożenia innowacji')?>">
        <?php echo __('Ocena skuteczności innowacji') ?>        
    </h1>
    <table class="table table-striped table-bordered">
        <thead>
            <tr>
            	<th></th>
                <th><?php echo __('L.p.') ?></th>
                <th><?php echo __('Temat innowacyjny planowany do realizacji') ?> <br/> [ <?php echo __('wykonania') ?> ] <br/> 'W'</th>
                <th><?php echo __('Termin realizacji') ?> <br/> 'T'</th>
                <th><?php echo __('Nakłady') ?> <br/> 'N'</th>
                <th><?php echo __('Odpowiedzialność') ?> <br/> 'O'</th>
            </tr>
        </thead>
        <tbody>
            <tr>
            	<td></td>
                <td></td>
                <td>
                    <span class="efficacyHeaderShort">W<small>W</small></span><br/>
                    1,00 – <?php echo __('gdy') ?> 100% <?php echo __('wykonania') ?>,<br/>
                    0,25 – <?php echo __('gdy') ?> 25% <?php echo __('wykonania') ?>,<br/>
                    0,5 – <?php echo __('gdy') ?> 50 % <?php echo __('wykonania') ?>,<br/>
                    0,75 - <?php echo __('gdy') ?> 75% <?php echo __('wykonania') ?>,<br/>
                    1,25 – <?php echo __('gdy ponad') ?> 100% <?php echo __('wykonania') ?>
                </td>

                <td>
                    <span class="efficacyHeaderShort">W<small>T</small></span><br/>
                    1,00 – <?php echo __('gdy realizacja w zaplanowanym terminie') ?>,<br/>
                    0,75 – <?php echo __('gdy realizacji po zaplanowanym terminie') ?>,<br/>
                    1,25 – <?php echo __('gdy realizacja po terminie') ?>
                </td>

                <td>
                    <span class="efficacyHeaderShort">W<small>N</small></span><br/>
                    1,00 – 100% <?php echo __('wykorzystanie nakładów') ?>,<br/>
                    0,75 – <?php echo __('przekroczenie zaplanowanych nakładów') ?>,<br/>
                    1,25 – <?php echo __('mniejsze wykorzystanie nakładów przy realizacji tych samych planów') ?>
                </td>

                <td>
                    <span class="efficacyHeaderShort">W<small>O</small></span><br/>
                    1,00 – <?php echo __('pełne wykorzystanie zaplanowanych zasobów osobowych') ?>,<br/>
                    1,25 – <?php echo __('wykonanie zaplanowanych zadań przy mniejszej obsadzie osobowej') ?>,<br/>
                    0,75 – <?php echo __('wykonanie zaplanowanych zadań przy większej obsadzie osobowej') ?>
                </td>
            </tr>

            <tr>
                <td></td>
                <td></td>
                <td>
                    <span class="efficacyHeaderShort">W<small>Wi</small></span><br/>
                </td>
                <td>
                    <span class="efficacyHeaderShort">W<small>Ti</small></span><br/>
                </td>
                <td>
                    <span class="efficacyHeaderShort">W<small>Ni</small></span><br/>
                </td>
                <td>
                    <span class="efficacyHeaderShort">W<small>Oi</small></span><br/>
                </td>
            </tr>

            <?php for ($i = 0; $i < $efficacyCount; $i++) : ?>
                <tr>
                	<td>
                	<?php echo link_to(__('Usuń'), 'efficacy/delete?efficacyId=' . $companyEfficacy[$i]->getEfficacyid(), array('method' => 'delete', 'confirm' => __('Czy jesteś pewny ?'), 'class' => 'btn btn-danger')) ?>
                	</td>
                    <td>
                        <?php echo ($i + 1) ?>
                    </td>
                    <td><?php echo $companyEfficacy[$i]->getWw() < 0 ? '-' : $companyEfficacy[$i]->getWw() ?></td>
                    <td><?php echo $companyEfficacy[$i]->getWt() < 0 ? '-' : $companyEfficacy[$i]->getWt() ?></td>
                    <td><?php echo $companyEfficacy[$i]->getWn() < 0 ? '-' : $companyEfficacy[$i]->getWn() ?></td>
                    <td><?php echo $companyEfficacy[$i]->getWo() < 0 ? '-' : $companyEfficacy[$i]->getWo() ?></td>
                </tr>
            <?php endfor; ?>

            <tr>
            		<td></td>
                <?php if ($efficacyCount == 1) : ?>
                    <td><?php echo 'Σ' ?></td>
                    <td><?php echo $companyEfficacy[0]->getWw() < 0 ? '-' : number_format($companyEfficacy[0]->getWw(), 5, '.', ' ') ?></td>
                    <td><?php echo $companyEfficacy[0]->getWt() < 0 ? '-' : number_format($companyEfficacy[0]->getWt(), 5, '.', ' ') ?></td>
                    <td><?php echo $companyEfficacy[0]->getWn() < 0 ? '-' : number_format($companyEfficacy[0]->getWn(), 5, '.', ' ') ?></td>
                    <td><?php echo $companyEfficacy[0]->getWo() < 0 ? '-' : number_format($companyEfficacy[0]->getWo(), 5, '.', ' ') ?></td>
                <?php else : ?>
                    <td><span class="efficacyHeaderShort">((Σ(W<small>X1</small> ÷ W<small>X<?php echo $efficacyCount ?></small>)) / <?php echo $efficacyCount ?>)</span></td>
                    <td><?php echo $sumEfficacy->getWw() < 0 ? '-' : number_format($sumEfficacy->getWw(), 5, '.', ' ') ?></td>
                    <td><?php echo $sumEfficacy->getWt() < 0 ? '-' : number_format($sumEfficacy->getWt(), 5, '.', ' ') ?></td>
                    <td><?php echo $sumEfficacy->getWn() < 0 ? '-' : number_format($sumEfficacy->getWn(), 5, '.', ' ') ?></td>
                    <td><?php echo $sumEfficacy->getWo() < 0 ? '-' : number_format($sumEfficacy->getWo(), 5, '.', ' ') ?></td>
                <?php endif; ?>
            </tr>

            <tr>
                <td></td>
                <td colspan="4" class="textLeft">
                    <span class="efficacyHeaderShort">W<small>SI</small></span> = 
                    <?php if ($efficacyCount == 1) : ?>
                        <span class="efficacyHeaderShort">W<small>W</small></span> * 
                        <span class="efficacyHeaderShort">W<small>T</small></span> * 
                        <span class="efficacyHeaderShort">W<small>N</small></span> * 
                        <span class="efficacyHeaderShort">W<small>O</small></span>
                    <?php else : ?>
                        <span class="efficacyHeaderShort">((Σ(W<small>W1</small> ÷ W<small>W<?php echo $efficacyCount ?></small>)) / <?php echo $efficacyCount ?>) * </span>
                        <span class="efficacyHeaderShort">((Σ(W<small>T1</small> ÷ W<small>T<?php echo $efficacyCount ?></small>)) / <?php echo $efficacyCount ?>) * </span>
                        <span class="efficacyHeaderShort">((Σ(W<small>N1</small> ÷ W<small>N<?php echo $efficacyCount ?></small>)) / <?php echo $efficacyCount ?>) * </span>
                        <span class="efficacyHeaderShort">((Σ(W<small>O1</small> ÷ W<small>O<?php echo $efficacyCount ?></small>)) / <?php echo $efficacyCount ?>)</span>
                        <!--((Σ(WW1 ÷ WWN)) / n) * [Σ(WT1 ÷ WTN)] *[Σ(WN1 ÷ WNN)] * [Σ(WO1 ÷ WON)]-->
                    <?php endif; ?>
                </td>

                <td class="textLeft">
                    <span class="efficacyHeaderShort">W<small>SI</small></span> = 
                    <?php echo $sumEfficacy->getWProduct() < 0 ? ' - ' : number_format($sumEfficacy->getWProduct(), 5, '.', ' ') ?>
                </td>
            </tr>

            <tr>
                <td></td>
                <td colspan="4" class="textLeft">
                    1,00 ≤ <span class="efficacyHeaderShort">W<small>SI</small></span> ≤ 2,44 - <?php echo __('skuteczność bardzo wysoka') ?>,<br/>
                    0,80 ≤ <span class="efficacyHeaderShort">W<small>SI</small></span> ≤ 0,99 - <?php echo __('skuteczność wysoka') ?>,<br/>
                    0,60 ≤ <span class="efficacyHeaderShort">W<small>SI</small></span> ≤ 0,79 - <?php echo __('skuteczność dobra') ?>,<br/>
                    0,40 ≤ <span class="efficacyHeaderShort">W<small>SI</small></span> ≤ 0,59 - <?php echo __('skuteczność średnia') ?>,<br/>
                    0,10 ≤ <span class="efficacyHeaderShort">W<small>SI</small></span> ≤ 0,39 - <?php echo __('skuteczność niska') ?>.
                </td>

                <td>
                    <?php echo __('Rodzaj skuteczności innowacji') ?>:<br/>
                    <?php
                    if ($sumEfficacy->getEffectivenessType() < 1) {
                        echo '-';
                    } elseif ($sumEfficacy->getEffectivenessType() == 1) {
                        echo __('skuteczność bardzo wysoka');
                    } elseif ($sumEfficacy->getEffectivenessType() == 2) {
                        echo __('skuteczność wysoka');
                    } elseif ($sumEfficacy->getEffectivenessType() == 3) {
                        echo __('skuteczność dobra');
                    } elseif ($sumEfficacy->getEffectivenessType() == 4) {
                        echo __('skuteczność średnia');
                    } elseif ($sumEfficacy->getEffectivenessType() == 5) {
                        echo __('skuteczność niska');
                    } elseif ($sumEfficacy->getEffectivenessType() > 5) {
                        echo __('skuteczność bardzo słaba');
                    }
                    ?>
                </td>
            </tr>

        </tbody>
    </table>

    <a href="<?php echo url_for('efficacy/edit') ?>" class="btn btn-primary"><?php echo __('Edytuj') ?></a>
    <a href="<?php echo url_for('efficacy/new') ?>" class="btn btn-warning"><?php echo __('Dodaj nowy wiersz') ?></a>
