<?php use_helper('I18N') ?>
<h1><?php echo __('Lista grup') ?></h1>

<table class="table table-striped table-bordered">
	<thead>
		<th></th>
		<th><?php echo __('Id') ?></th>
		<th><?php echo __('Nazwa') ?></th>
		<th><?php echo __('Opis') ?></th>
	</thead>
	<tbody>
		<?php 
			foreach ($Groups as $group) {
				?>
				<tr>
					<td>
						<a href="<?php echo url_for('sfGuardGroup/edit?id='.$group->getId()); ?>" class="btn btn-primary">Edytuj</a>
					<br/>
					<?php echo link_to(__('Usuń'), 'sfGuardGroup/delete?id='.$group->getId()
	                			, array('method' => 'delete', 'confirm' => __('Czy jesteś pewny ?'), 'class' => 'btn btn-danger')); ?>
					</td>
					<td><?php echo $group->getId(); ?></td>
					<td><?php echo $group->getName(); ?></td>
					<td><?php echo $group->getDescription(); ?></td>
				</tr>				
				<?php 
			}
		?>
	</tbody>
</table>

<a href="<?php echo url_for('sfGuardGroup/new') ?>" class="btn btn-warning"><?php echo __('Dodaj grupę') ?></a>