<?php use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>
<?php use_helper('I18N') ?>
<form action="<?php echo url_for('sfGuardPermission/' . ($form->getObject()->isNew() ? 'create' : 'update') . (!$form->getObject()->isNew() ? '?id=' . $form->getObject()->getId() : '')) ?>" 
    		method="post" class="stdForm" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
    <?php if (!$form->getObject()->isNew()): ?>
        <input type="hidden" name="sf_method" value="put" />
    <?php endif; ?>
    <table>
        <tfoot>
            <tr>
                 <td colspan="2">
                    <?php echo $form->renderHiddenFields(false) ?>
                    &nbsp;<a href="<?php echo url_for('sfGuardPermission/index') ?>" class="btn"><?php echo __('Powrót do listy') ?></a>
                    <input type="submit" class="btn btn-warning" value="<?php echo __('Zapisz') ?>" />
                </td>
            </tr>
        </tfoot>
        <tbody>
        	<tr>
        		<th> <?php echo $form['name']->renderLabel(); ?></th>
        		<td>
        			<?php 
        				echo $form['name']->renderError();
        				echo $form['name']; 
        			?>        			
        		</td>
        	</tr>
        	<tr>
        		<th> <?php echo $form['description']->renderLabel(); ?></th>
        		<td>
        			<?php 
        				echo $form['description']->renderError();
        				echo $form['description']; 
        			?>        			
        		</td>
        	</tr>
        	<tr>
        		<th> <?php echo $form['sf_guard_group_permission_list']->renderLabel(); ?></th>
        		<td>
        			<?php 
        				echo $form['sf_guard_group_permission_list']->renderError();
        				echo $form['sf_guard_group_permission_list']; 
        			?>        			
        		</td>
        	</tr>
        </tbody>
    </table>
</form>
    