<?php use_helper('I18N') ?>
<h1><?php echo __('Lista uprawnień') ?></h1>

<table class="table table-striped table-bordered">
	<thead>
		<tr>
			<th></th>
			<th><?php echo __('Id') ?></th>
			<th><?php echo __('Nazwa') ?></th>
			<th><?php echo __('Opis') ?></th>
		</tr>
	</thead>
	<tbody>
		<?php 
		foreach ($Permissions as $permission) {
			?>
			<tr>
				<td>
					<a href="<?php echo url_for('sfGuardPermission/edit?id='.$permission->getId()); ?>" class="btn btn-primary">Edytuj</a>
					<br/>
					<?php echo link_to(__('Usuń'), 'sfGuardPermission/delete?id='.$permission->getId()
	                			, array('method' => 'delete', 'confirm' => __('Czy jesteś pewny ?'), 'class' => 'btn btn-danger')); ?>
				</td>
				<td><?php echo $permission->getId(); ?></td>
				<td><?php echo $permission->getName(); ?></td>
				<td><?php echo $permission->getDescription(); ?></td>
			</tr>
			<?php 
		}
		
		?>
	</tbody>
</table>
<a href="<?php echo url_for('sfGuardPermission/new') ?>" class="btn btn-warning">Dodaj uprawnienie</a>