<?php use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>
<?php use_helper('I18N') ?>
<form action="<?php echo url_for('sfGuardUser/' . ($form->getObject()->isNew() ? 'create' : 'update') . (!$form->getObject()->isNew() ? '?id=' . $form->getObject()->getid() : '')) ?>" 
    		method="post" class="stdForm" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
    <?php if (!$form->getObject()->isNew()): ?>
        <input type="hidden" name="sf_method" value="put" />
    <?php endif; ?>
    <table>
        <tfoot>
            <tr>
                 <td colspan="2">
                    <?php echo $form->renderHiddenFields(false) ?>
                    &nbsp;<a href="<?php echo url_for('sfGuardUser/index') ?>" class="btn"><?php echo __('Powrót do listy') ?></a>
                    <input type="submit" class="btn btn-warning" value="<?php echo __('Zapisz') ?>" />
                </td>
            </tr>
        </tfoot>
        <tbody>
        	<?php echo $form->renderGlobalErrors() ?>
        	<tr>
        		<th><?php echo $form['username']->renderLabel(); ?></th>
        		<td>
        			<?php 
        				echo $form['username']->renderError();
        				echo $form['username']; 
        			?>
        		</td>
        	</tr>
        	<tr>
        		<th><?php echo $form['password']->renderLabel(); ?></th>
        		<td>
        			<?php 
        				echo $form['password']->renderError();
        				echo $form['password'];
        			?>
        		</td>
        	</tr>
        	<tr>
        		<th><?php echo $form['password_again']->renderLabel(); ?></th>
        		<td>
        			<?php 
        				echo $form['password_again']->renderError();
        				echo $form['password_again'];
        			?>
        		</td>
        	</tr>
        	<tr>
        		<th><?php echo $form['is_active']->renderLabel(); ?></th>
        		<td>
        			<?php 
        				echo $form['is_active']->renderError();
        				echo $form['is_active']; 
        			?>
        		</td>
        	</tr> 
        	<tr>
        		<th><?php echo $form['is_super_admin']->renderLabel(); ?></th>
        		<td>
        			<?php 
        				echo $form['is_super_admin']->renderError();
        				echo $form['is_super_admin']; 
        			?>
        		</td>
        	</tr>  
        	<tr>
        		<th><?php echo $form['sf_guard_user_group_list']->renderLabel(); ?></th>
        		<td>
        			<?php 
        				echo $form['sf_guard_user_group_list']->renderError();
        				echo $form['sf_guard_user_group_list']; 
        			?>
        		</td>
        	</tr>   
        	<tr>
        		<th><?php echo $form['sf_guard_user_permission_list']->renderLabel(); ?></th>
        		<td>
        			<?php 
        				echo $form['sf_guard_user_permission_list']->renderError();
        				echo $form['sf_guard_user_permission_list']; 
        			?>
        		</td>
        	</tr>       	
        </tbody>
    </table>
</form>