<?php use_helper('I18N') ?>
<h1> <?php echo __('Lista użytkowników'); ?> </h1>

<table class="table table-striped table-bordered">
	<thead>
		<tr>
			<th></th>
			<th><?php echo __('Id'); ?></th>
			<th><?php echo __('Użytkownik'); ?> </th>
			<th><?php echo __('Utworzono'); ?></th>
			<th><?php echo __('Ostatnie logowanie'); ?>
			<th><?php echo __('Czy aktywne'); ?></th>
			<th><?php echo __('Czy superużytkownik'); ?></th>
		</tr>
	</thead>
	<tbody>
		<?php 
			foreach ($Users as $user) {
				?>
				<tr> 
					<td> 
						<a href="<?php echo url_for('sfGuardUser/edit?id='.$user->getId()); ?>" class="btn btn-primary">Edytuj</a>
						<br/>
                		<?php echo link_to(__('Usuń'), 'sfGuardUser/delete?id='.$user->getId()
                			, array('method' => 'delete', 'confirm' => __('Czy jesteś pewny ?'), 'class' => 'btn btn-danger')); ?>
					</td>
					<td><?php echo $user->getId(); ?></td>
					<td><?php echo $user->getUserName(); ?></td>
					<td><?php echo $user->getCreatedAt(); ?></td>
					<td><?php echo $user->getLastLogin(); ?></td>
					<td style="width: 120px; text-align: center;"><?php echo $user->getIsActive(); ?></td>
					<td style="width: 120px; text-align: center;"><?php echo $user->getIsSuperAdmin(); ?></td>
				</tr>
				<?php 
			}
		
		?>
	</tbody>
</table>
<a href="<?php echo url_for('sfGuardUser/new') ?>" class="btn btn-warning"><?php echo __('Dodaj użytkownika'); ?></a>