<!DOCTYPE HTML>
<html>
    <head>
        <?php include_http_metas() ?>
        <?php include_metas() ?>
        <?php include_title() ?>
        <link rel="shortcut icon" href="/favicon.ico" />
        <?php include_stylesheets() ?>
        <?php include_javascripts() ?>
        
        <?php use_helper('I18N') ?>
    </head>

    <body>
    	<div id="myContainer" class="zn">
    		<div id="logoStrip">
    			<div id="logoBg">
		    		<div id="logo" class="center">
		    			<a href="<?php echo public_path('main/index') ?>">
		    				<img alt="logo" src="<?php echo public_path('images/logo.jpg'); ?>">
		    			</a>
		    		</div>
		    	</div>
    		</div>
    		<div id="flagStrip" class="center">
    			<a class="pl" href="<?php echo url_for('main/setPolishCulture') ?>"></a>
    			<a class="en" href="<?php echo url_for('main/setEnglishCulture') ?>"></a>
    		</div>
    		<div id="flagMenuGap" class="center"></div>
    		<div id="menu" class="center">
    			<ul>
    				<li><a href="<?php echo public_path('main/index') ?>">Home</a></li>
    				<li><a href="<?php echo public_path('backend.php/company/index') ?>"><?php echo __('Firmy') ?></a></li>
    				<li><a href="<?php echo public_path('backend.php/userSettings/index') ?>"><?php echo __('Ustawienia') ?></a></li>
    				<li><a href="<?php echo public_path('backend.php/answer/index?startAnswerNumber=1&endAnswerNumber=7') ?>"><?php echo __('Pytania') ?></a></li>
    			</ul>
    		</div>
    		<div id="mainContent" class="center">
    			<div id="legs"></div>
    			<div id="innerContent">
    			<a href="<?php echo public_path('backend.php/efficacy/index') ?>" class="myBtn"><?php echo __('Ocena skuteczności') ?></a>
    			<a href="<?php echo public_path('backend.php/effectiveness/index') ?>" class="myBtn"><?php echo __('Ocena efektywności') ?></a>
    			<a href="<?php echo public_path('backend.php/schema/index?schemaid=1') ?>" class="myBtn"><?php echo __('Schematy korelacji') ?></a>
    			<a href="<?php echo public_path('backend.php/prediction/index?'.InnovationConstants::QUESTION_NUMBER.'=1.0') ?>" class="myBtn"><?php echo __('Karta prognozowania') ?></a>
    			<div style="font-size: 15px; text-align: justify; line-height: 2em;">
    				<?php echo $sf_content ?>
    			</div>
    			<div class="clear"></div>
    			</div>
    		</div>
    		<div id="footStrip">
    			<div id="foot" class="center">
    				<ul>
    					<li><a href="<?php echo url_for('main/index') ?>">Home</a></li>
    					<li><a href="<?php echo public_path('backend.php/company/index') ?>"><?php echo __('Firmy') ?></a></li>
    					<li><a href="<?php echo public_path('backend.php/userSettings/index') ?>"><?php echo __('Ustawienia') ?></a></li>
    					<li><a href="<?php echo public_path('backend.php/answer/index?startAnswerNumber=1&endAnswerNumber=7') ?>"><?php echo __('Pytania') ?></a></li>
    				</ul>
    			</div>
    		</div>
    	</div>
    </body>
</html>
