<?php

abstract class BaseAnswerMixedFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'questionNumber'    => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'questionSubnumber' => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'number'            => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'subnumber'         => new sfWidgetFormFilterInput(),
      'type'              => new sfWidgetFormFilterInput(array('with_empty' => false)),
    ));

    $this->setValidators(array(
      'questionNumber'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'questionSubnumber' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'number'            => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'subnumber'         => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'type'              => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('answer_mixed_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerMixed';
  }

  public function getFields()
  {
    return array(
      'answerMixedId'     => 'Number',
      'questionNumber'    => 'Number',
      'questionSubnumber' => 'Number',
      'number'            => 'Number',
      'subnumber'         => 'Number',
      'type'              => 'Number',
    );
  }
}
