<?php

abstract class BaseAnswerMixedI18nFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'answerText' => new sfWidgetFormFilterInput(array('with_empty' => false)),
    ));

    $this->setValidators(array(
      'answerText' => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('answer_mixed_i18n_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerMixedI18n';
  }

  public function getFields()
  {
    return array(
      'id'         => 'ForeignKey',
      'culture'    => 'Text',
      'answerText' => 'Text',
    );
  }
}
