<?php

abstract class BaseAnswerTextForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'answerTextId'  => new sfWidgetFormInputHidden(),
      'text'          => new sfWidgetFormInputText(),
      'answerMixedId' => new sfWidgetFormPropelChoice(array('model' => 'AnswerMixed', 'add_empty' => false)),
      'companyId'     => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => false)),
    ));

    $this->setValidators(array(
      'answerTextId'  => new sfValidatorChoice(array('choices' => array($this->getObject()->getAnswertextid()), 'empty_value' => $this->getObject()->getAnswertextid(), 'required' => false)),
      'text'          => new sfValidatorString(array('max_length' => 245, 'required' => false)),
      'answerMixedId' => new sfValidatorPropelChoice(array('model' => 'AnswerMixed', 'column' => 'answerMixedId')),
      'companyId'     => new sfValidatorPropelChoice(array('model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('answer_text[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerText';
  }


}
