<?php

abstract class BaseAnswerYearsAutoForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'answerYearsAutoId' => new sfWidgetFormInputHidden(),
      'questionNumber'    => new sfWidgetFormInputText(),
      'questionSubnumber' => new sfWidgetFormInputText(),
      'operationType'     => new sfWidgetFormInputText(),
      'answerNumbers'     => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'answerYearsAutoId' => new sfValidatorChoice(array('choices' => array($this->getObject()->getAnsweryearsautoid()), 'empty_value' => $this->getObject()->getAnsweryearsautoid(), 'required' => false)),
      'questionNumber'    => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'questionSubnumber' => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'operationType'     => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'answerNumbers'     => new sfValidatorString(array('max_length' => 145)),
    ));

    $this->validatorSchema->setPostValidator(
      new sfValidatorPropelUnique(array('model' => 'AnswerYearsAuto', 'column' => array('questionNumber', 'questionSubnumber')))
    );

    $this->widgetSchema->setNameFormat('answer_years_auto[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerYearsAuto';
  }


}
