<?php

abstract class BaseInnovationSchemaForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'schemaId'   => new sfWidgetFormInputHidden(),
      'name'       => new sfWidgetFormInputText(),
      'imageName'  => new sfWidgetFormInputText(),
      'inputType'  => new sfWidgetFormInputText(),
      'effectType' => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'schemaId'   => new sfValidatorChoice(array('choices' => array($this->getObject()->getSchemaid()), 'empty_value' => $this->getObject()->getSchemaid(), 'required' => false)),
      'name'       => new sfValidatorString(array('max_length' => 145)),
      'imageName'  => new sfValidatorString(array('max_length' => 145)),
      'inputType'  => new sfValidatorInteger(array('min' => -128, 'max' => 127)),
      'effectType' => new sfValidatorInteger(array('min' => -128, 'max' => 127)),
    ));

    $this->widgetSchema->setNameFormat('innovation_schema[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'InnovationSchema';
  }


}
