<?php

abstract class BaseQuestionI18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'             => new sfWidgetFormInputHidden(),
      'culture'        => new sfWidgetFormInputHidden(),
      'questionText'   => new sfWidgetFormInputText(),
      'answerHeader'   => new sfWidgetFormInputText(),
      'questionFooter' => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'             => new sfValidatorPropelChoice(array('model' => 'Question', 'column' => 'questionId', 'required' => false)),
      'culture'        => new sfValidatorChoice(array('choices' => array($this->getObject()->getCulture()), 'empty_value' => $this->getObject()->getCulture(), 'required' => false)),
      'questionText'   => new sfValidatorString(array('max_length' => 250)),
      'answerHeader'   => new sfValidatorString(array('max_length' => 150, 'required' => false)),
      'questionFooter' => new sfValidatorString(array('max_length' => 250, 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('question_i18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'QuestionI18n';
  }


}
