<?php use_helper('I18N') ?>
    <h1><?php echo __('Lista firm') ?></h1>

    <table class="table table-striped table-bordered">
        <thead>
            <tr>
                <th><?php echo __('Nazwa') ?></th>
                <th><?php echo __('Numer identyfikacyjny REGON') ?></th>
                <th><?php echo __('Rok powstania') ?></th>
                <th><?php echo __('Ulica') ?></th>
                <th><?php echo __('Miasto') ?></th>
                <th><?php echo __('Województwo') ?></th>
                <th><?php echo __('Kraj') ?></th>
                <th><?php echo __('Email') ?></th>
                <th><?php echo __('Strona www') ?></th>
                <th><?php echo __('Rok założenia') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($Companys as $Company): ?>
                <tr>
                    <td><a href="<?php echo url_for('company/show?companyid=' . $Company->getCompanyid()) ?>"><?php echo $Company->getName() ?></a></td>
                    <td><?php echo $Company->getRegonnumber() ?></td>
                    <td><?php echo $Company->getCreationyear() ?></td>
                    <td><?php echo $Company->getStreetname() ?></td>
                    <td><?php echo $Company->getPlace() ?></td>
                    <td><?php echo $Company->getProvince() ?></td>
                    <td><?php echo $Company->getCountry() ?></td>
                    <td><?php echo $Company->getEmail() ?></td>
                    <td><?php echo $Company->getSiteaddres() ?></td>
                    <td><?php echo $Company->getCreationyear() ?></td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>

    <a href="<?php echo url_for('company/new') ?>" class="actionLinks newAction"><?php echo __('Dodaj nową firmę') ?></a>
