<?php use_helper('I18N') ?>

<div id="companyShow" class="tableShow">
    <table>
        <tbody>
            <tr>
                <th><?php echo __('Nazwa przedsiębiorstwa') ?>:</th>
                <td><?php echo $Company->getName() ?></td>
            </tr>
            <tr>
                <th><?php echo __('ulica') ?>:</th>
                <td><?php echo $Company->getStreetname() ?></td>
            </tr>
            <tr>
                <th><?php echo __('kod pocztowy') ?>:</th>
                <td><?php echo $Company->getPostcode() ?></td>
            </tr>
            <tr>
                <th><?php echo __('miejscowość') ?>:</th>
                <td><?php echo $Company->getPlace() ?></td>
            </tr>
            <tr>
                <th><?php echo __('województwo') ?>:</th>
                <td><?php echo $Company->getProvince() ?></td>
            </tr>
            <tr>
                <th><?php echo __('kraj') ?>:</th>
                <td><?php echo $Company->getCountry() ?></td>
            </tr>
            <tr>
                <th><?php echo __('nr telefonu') ?>:</th>
                <td><?php echo $Company->getPhonenumber() ?></td>
            </tr>
            <tr>
                <th><?php echo __('numer faxu') ?>:</th>
                <td><?php echo $Company->getFaxnumber() ?></td>
            </tr>
            <tr>
                <th><?php echo __('adres e–mail') ?>:</th>
                <td><?php echo $Company->getEmail() ?></td>
            </tr>
            <tr>
                <th><?php echo __('adres strony www') ?>:</th>
                <td><?php echo $Company->getSiteaddres() ?></td>
            </tr>
            <tr>
                <th><?php echo __('numer PKD [ w tym podstawowa działalność ]') ?>:</th>
                <td><?php echo $Company->getPkdnumber() ?></td>
            </tr>
            <tr>
                <th><?php echo __('numer identyfikacyjny REGON') ?>:</th>
                <td><?php echo $Company->getRegonnumber() ?></td>
            </tr>
            <tr>
                <th><?php echo __('rodzaj własności') ?>:</th>
                <td><?php echo $Company->getPropertytype() ?></td>
            </tr>
            <tr>
                <th><?php echo __('rok powstania przedsiębiorstwa') ?>:</th>
                <td><?php echo $Company->getCreationyear() ?></td>
            </tr>
            <tr>
                <th><?php echo __('siedziba centrali [ w kraju ]') ?>:</th>
                <td><?php echo $Company->getNationalheadquarters() ?></td>
            </tr>
            <tr>
                <th><?php echo __('siedziba centrali [ za granicą ]') ?>:</th>
                <td><?php echo $Company->getAbroadheadquarters() ?></td>
            </tr>
            <tr>
                <th><?php echo __('Innowacja wyrobu/usługi') ?>:</th>
                <td><?php echo InnovationUtil::getBoolValue($Company->getIsproductinnovation()) ? image_tag('../sf/sf_admin/images/tick') : image_tag('../sf/sf_admin/images/cancel') ?></td>
            </tr>
            <tr>
                <th><?php echo __('Innowacja procesu') ?>:</th>
                <td><?php echo InnovationUtil::getBoolValue($Company->getIsprocessinnovation()) ? image_tag('../sf/sf_admin/images/tick') : image_tag('../sf/sf_admin/images/cancel') ?></td>
            </tr>
            <tr>
                <th><?php echo __('Innowacja organizacyjna i zarządcza') ?>:</th>
                <td><?php echo InnovationUtil::getBoolValue($Company->getIsorganisationinnovation()) ? image_tag('../sf/sf_admin/images/tick') : image_tag('../sf/sf_admin/images/cancel') ?></td>
            </tr>
            <tr>
                <th><?php echo __('Innowacja obsługi klienta') ?>:</th>
                <td><?php echo InnovationUtil::getBoolValue($Company->getIscustomerserviceinnovation()) ? image_tag('../sf/sf_admin/images/tick') : image_tag('../sf/sf_admin/images/cancel') ?></td>
            </tr>
        </tbody>
    </table>

    <hr />

    <a href="<?php echo url_for('company/edit?companyid=' . $Company->getCompanyid()) ?>" class="actionLinks editAction"><?php echo __('Edytuj') ?></a>
    &nbsp;
    <a href="<?php echo url_for('company/index') ?>" class="actionLinks listAction"><?php echo __('Powrót do listy') ?></a>
</div>