<?php use_helper('I18N') ?>

<h1><?php if (count($questions) == 1) : ?>
        <?php echo __('Edycja pytania numer') ?> <?php echo $questions[0]->getQuestionFullNumber() ?>
    <?php else : ?>
        <?php echo __('Edycja pytań') ?> : <?php echo $questions[0]->getQuestionFullNumber() ?>-<?php echo $questions[count($questions) - 1]->getQuestionFullNumber() ?>
    <?php endif; ?>
</h1>

<div id="answerIndex" class="tableShow">
    <form action="<?php echo url_for('answer/update?startAnswerNumber=' . $startAnswerNumber . '&endAnswerNumber=' . $endAnswerNumber) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
        <input type="hidden" name="sf_method" value="put" />

        <table class="table table-striped table-bordered">
            <tbody>
                <?php echo $form->renderGlobalErrors() ?>
                <?php foreach ($questions as $question): ?>
                    <tr>
                        <td class="questionCell">

                            <p class="questionText <?php echo ' ' . $question->getQuestionCssClass() ?>">
                                <?php echo $question->getQuestionFullNumber() . '. ' ?>
                                <?php echo $question->getQuestiontext() ?>

                            </p>
                            <p class="questionFooter">
                                <?php echo $question->getQuestionfooter() ?>
                            </p>
                        </td>

                        <td>
                            <div class="answerHeader">
                                <?php echo $question->getAnswerheader() ?>
                            </div>

                            <?php if ($question->getType() == 1 || $question->getType() == 5 || $question->getType() == 7 || $question->getType() == 8) : ?>

                                <?php
                                $questionForm = $questionsForms[$question->getQuestionid()];
                                $answerForms = $questionForm->getEmbeddedForms();
                                ?>

                                <?php for ($i = $startYear; $i <= $endYear; $i++) : ?>
                                    <?php $answerForm = $answerForms[$i]; ?>
                                    <div class="year-group">
                                            <?php if ($question->getType() == 5) : ?>
                                                <?php echo $answerForm['listContent']->renderLabel(); ?>
                                                <div class="control">
                                                    <?php echo $answerForm['listContent']->render(); ?>
                                                </div>
                                            <?php else : ?>
                                                <?php echo $answerForm['value']->renderLabel(); ?>
                                                <div class="control">
                                                    <?php echo $answerForm['value']->render(); ?>
                                                </div>
                                            <?php endif; ?>

                                            <?php echo $answerForm->renderHiddenFields(false); ?>
                                    </div>
                                <?php endfor; ?>


                            <?php elseif ($question->getType() == 2) : ?>

                                <?php
                                $answers = null;
                                $className = '';
                                if ($question->getIscoloredtab() > 0) {
                                    $answers = AnswerYearsAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear - 1, $endYear);
                                } else {
                                    $answers = AnswerYearsAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear, $endYear);
                                }
                                ?>

                                <?php for ($i = $startYear; $i <= $endYear; $i++) : ?>
                                    <?php
                                    if ($question->getIscoloredtab() > 0) {
                                        $className = InnovationUtil::getColor($question->getIscoloredtab(), $answers[$i][AnswerYearsAutoPeer::$RESULT_VALUE_INDEX], $answers[$i - 1][AnswerYearsAutoPeer::$RESULT_VALUE_INDEX]);
                                    }
                                    if (!$answers[$i][AnswerYearsAutoPeer::$RESULT_COMPLETENESS_INDEX]) {
                                        $className = $className . ' ' . InnovationUtil::INCOMPLETE_AUTO_QUESTION_CLASS;
                                    }
                                    ?>
                                    <div class="<?php echo $className ?>">
                                        <?php echo $i . ' : ' . $answers[$i][AnswerYearsAutoPeer::$RESULT_VALUE_INDEX]; ?>
                                    </div>

                                <?php endfor; ?>


                            <?php elseif ($question->getType() == 3) : ?>

                                <?php
                                $questionForm = $questionsForms[$question->getQuestionid()];
                                $answerForms = $questionForm->getEmbeddedForms();
                                ?>

                                <?php for ($i = $startYear; $i <= $endYear - 1; $i++) : ?>
                                    <?php $answerForm = $answerForms[$i]; ?>        
                                    <div class="year-group">
                                        <?php echo $answerForm['value']->renderLabel(); ?> 
                                        <div class="control">
                                            <?php echo $answerForm['value']->render(); ?>
                                        </div>
                                        <?php echo $answerForm->renderHiddenFields(false); ?>
                                    </div>

                                <?php endfor; ?>


                            <?php elseif ($question->getType() == 4) : ?>

                                <?php
                                $answers = null;
                                if ($question->getIscoloredtab() > 0) {
                                    $answers = AnswerYearsRangeAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear - 1, $endYear - 1);
                                } else {
                                    $answers = AnswerYearsRangeAutoPeer::getValuesByQuestionNumberCompanyIdYearRange($question->getNumber(), $question->getSubnumber(), $companyId, $startYear, $endYear - 1);
                                }
                                ?>
                                <?php for ($i = $startYear; $i <= $endYear - 1; $i++) : ?>
                                    <?php
                                    $className = '';
                                    if ($question->getIscoloredtab() > 0) {
                                        $className = InnovationUtil::getColor($question->getIscoloredtab(), $answers[$i], $answers[$i - 1]);
                                    }
                                    ?>
                                    <div class="<?php echo $className ?>">
                                        <?php echo ($i + 1) . ' - ' . $i . ' : ' . $answers[$i]; ?>
                                    </div>
                                <?php endfor; ?>


                            <?php elseif ($question->getType() == 6) : ?>

                                <?php
                                $questionForm = $questionsForms[$question->getQuestionid()];
                                $answerForms = $questionForm->getEmbeddedForms();
                                ?>

                                <?php foreach (AnswerMixedPeer::retrieveByNumberAndSubnumber($question->getNumber(), $question->getSubnumber()) as $answerMixed) : ?>

                                    <div>
                                        <?php if ($answerMixed->getType() == 0) : ?>
                                            <p>
                                                <?php echo $answerMixed->getAnswerMixedNumber() . ' ' . $answerMixed->getAnswertext(); ?>
                                            </p>
                                        <?php elseif ($answerMixed->getType() == 1) : ?>
                                            <div>
                                                <div>
                                                    <?php echo $answerMixed->getAnswerMixedNumber() . ' ' . $answerMixed->getAnswertext(); ?>
                                                </div>
                                                <div>
                                                    <?php $answerForm = $answerForms[$answerMixed->getAnswermixedid()]; ?>                                                    
                                                    <?php echo $answerForm['isChecked']; ?>
                                                    <?php echo $answerForm['isChecked']->renderError(); ?>
                                                    <?php echo $answerForm->renderHiddenFields(false); ?>
                                                </div>
                                                
                                            </div>
                                        <?php elseif ($answerMixed->getType() == 2) : ?>
                                            <div>
                                               <?php echo $answerMixed->getAnswerMixedNumber() . ' ' . $answerMixed->getAnswertext(); ?>
                                            </div> 
                                            <div>
                                                <?php $answerForm = $answerForms[$answerMixed->getAnswermixedid()]; ?>
                                                <?php echo $answerForm['text']; ?>
                                                <?php echo $answerForm['text']->renderError(); ?>
                                                <?php echo $answerForm->renderHiddenFields(false); ?>
                                            </div>
                                        <?php endif; ?>
                                    </div>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        </td>
                    </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
        <a href="<?php echo url_for('answer/index?startAnswerNumber=' . $startAnswerNumber . '&endAnswerNumber=' . $endAnswerNumber) ?>" class="btn"><?php echo __('Powrót do listy') ?></a>
        <input type="submit" class="btn btn-warning" value="<?php echo __('Zapisz') ?>" />
    </form>
</div>