<?php use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>
<?php use_helper('I18N') ?>

<div id="questionForm" class="tableShow">
    <form class="stdForm" action="<?php echo url_for('question/' . ($form->getObject()->isNew() ? 'create' : 'update') . (!$form->getObject()->isNew() ? '?questionid=' . $form->getObject()->getQuestionid() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
        <?php if (!$form->getObject()->isNew()): ?>
            <input type="hidden" name="sf_method" value="put" />
        <?php endif; ?>
        <table>
            <tfoot>
                <tr>
                    <td colspan="2">
                        <?php echo $form->renderHiddenFields(false) ?>
                        &nbsp;<a href="<?php echo url_for('question/index') ?>" class="btn"><?php echo __('Powrót do listy') ?></a>
                        <input type="submit" class="btn btn-warning" value="<?php echo __('Zapisz') ?>" />
                    </td>
                </tr>
            </tfoot>
            <tbody>
                <?php echo $form->renderGlobalErrors() ?>
                <tr>
                    <th><?php echo __('Numer') ?></th>
                    <td>
                        <?php echo $form->getObject()->getNumber() ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo __('Pod numer') ?></th>
                    <td>
                        <?php echo $form->getObject()->getSubnumber() ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['type']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['type']->renderError() ?>
                        <?php echo $form['type'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form[$sf_user->getCulture()]['questionText']->renderLabel() ?></th>
                    <td>
                        <?php echo $form[$sf_user->getCulture()]['questionText']->renderError() ?>
                        <?php echo $form[$sf_user->getCulture()]['questionText'] ?>
                        <?php echo $form[$sf_user->getCulture()]['id'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form[$sf_user->getCulture()]['answerHeader']->renderLabel() ?></th>
                    <td>
                        <?php echo $form[$sf_user->getCulture()]['answerHeader']->renderError() ?>
                        <?php echo $form[$sf_user->getCulture()]['answerHeader'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form[$sf_user->getCulture()]['questionFooter']->renderLabel() ?></th>
                    <td>
                        <?php echo $form[$sf_user->getCulture()]['questionFooter']->renderError() ?>
                        <?php echo $form[$sf_user->getCulture()]['questionFooter'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['isColoredTab']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['isColoredTab']->renderError() ?>
                        <?php echo $form['isColoredTab'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['isColoredSchema']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['isColoredSchema']->renderError() ?>
                        <?php echo $form['isColoredSchema'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['cssClassName']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['cssClassName']->renderError() ?>
                        <?php echo $form['cssClassName'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['requiredQuestion']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['requiredQuestion']->renderError() ?>
                        <?php echo $form['requiredQuestion'] ?>
                    </td>
                </tr>
                <?php if (InnovationUtil::isQuestionPredictable($form->getObject())): ?>
                    <tr>
                        <th><?php echo $form['predictionQuestion']->renderLabel() ?></th>
                        <td>
                            <?php echo $form['predictionQuestion']->renderError() ?>
                            <?php echo $form['predictionQuestion'] ?>
                        </td>
                    </tr>
                <?php endif; ?>
            </tbody>
        </table>
    </form>
</div>