<?php use_helper('I18N') ?>
    <h1><?php echo __('Lista pytań') ?></h1>

    <table class="table table-striped table-bordered">
        <thead>
            <tr>
            	<th></th>
                <th><?php echo __('Numer') ?></th>
                <th><?php echo __('Typ') ?></th>
                <th><?php echo __('Treść') ?></th>
            </tr>
        </thead>
        <tbody>
            <?php foreach ($Questions as $Question): ?>
                <tr>
                	<td><a href="<?php echo url_for('question/edit?questionid=' . $Question->getQuestionid()) ?>" class="btn btn-primary">Edytuj</a></td>                	
                    <td><?php echo $Question->getQuestionFullNumber() ?></td>
                    <td><?php echo __(InnovationUtil::getQuestionTypeLabel($Question->getType())) ?></td>
                    <td><?php echo $Question->getQuestiontext() ?></td>
                </tr>
            <?php endforeach; ?>
        </tbody>
    </table>