<?php use_helper('I18N') ?>

<div id="questionShow" class="tableShow">
    <table>
        <tbody>
            <tr>
                <th><?php echo __('Numer') ?>:</th>
                <td><?php echo $Question->getNumber() ?></td>
            </tr>
            <tr>
                <th><?php echo __('Pod numer') ?>:</th>
                <td><?php echo $Question->getSubnumber() ?></td>
            </tr>
            <tr>
                <th><?php echo __('Typ') ?>:</th>
                <td><?php echo __(InnovationUtil::getQuestionTypeLabel($Question->getType())) ?></td>
            </tr>
            <tr>
                <th><?php echo __('Czy kolorować wiersze w tabeli') ?>:</th>
                <td><?php echo __(InnovationUtil::getColorTypeLabel($Question->getIscoloredtab())) ?></td>
            </tr>
            <tr>
                <th><?php echo __('Czy kolorować wiersze w schemacie') ?>:</th>
                <td><?php echo __(InnovationUtil::getColorTypeLabel($Question->getIscoloredschema())) ?></td>
            </tr>
            <tr>
                <th><?php echo __('Nazwa klasy css') ?>:</th>
                <td><?php echo $Question->getCssclassname() ?></td>
            </tr>
            <tr>
                <th><?php echo __('Treść') ?>:</th>
                <td><?php echo $Question->getQuestiontext() ?></td>
            </tr>
            <tr>
                <th><?php echo __('Nagłówek odpowiedzi') ?>:</th>
                <td><?php echo $Question->getAnswerheader() ?></td>
            </tr>
            <tr>
                <th><?php echo __('Stopka pytania') ?>:</th>
                <td><?php echo $Question->getQuestionfooter() ?></td>
            </tr>
            <tr>
                <th><?php echo __('Czy odpowiedzi mają być obowiązkowe') ?>:</th>
                <td><?php echo __(InnovationUtil::getYesOrNoLabel($Question->getRequiredquestion())) ?></td>
            </tr>
            <?php if (InnovationUtil::isQuestionPredictable($Question, $Question->getType())): ?>
                <tr>
                    <th><?php echo __('Czy odpowiedzi mogą być prognozowalne') ?>:</th>
                    <td><?php echo __(InnovationUtil::getYesOrNoLabel($Question->getPredictionquestion())) ?></td>
                </tr>
            <?php endif; ?>
        </tbody>
    </table>

    <hr />

    <a href="<?php echo url_for('question/edit?questionid=' . $Question->getQuestionid()) ?>" class="actionLinks editAction"><?php echo __('Edytuj') ?></a>
    &nbsp;
    <a href="<?php echo url_for('question/index') ?>" class="actionLinks listAction"><?php echo __('Powrót do listy') ?></a>

    <?php if ($Question->getType() == 6): ?>
        &nbsp;
        <a href="<?php echo url_for('answermix/index?questionNumber=' . $Question->getNumber() . '&questionSubnumber=' . $Question->getSubnumber()) ?>" class="actionLinks listAction"><?php echo __('Lista pod pytań') ?></a>
    <?php endif; ?>
</div>