<?php use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>

<form action="<?php echo url_for('schema/'.($form->getObject()->isNew() ? 'create' : 'update').(!$form->getObject()->isNew() ? '?schemaid='.$form->getObject()->getSchemaid() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
<?php if (!$form->getObject()->isNew()): ?>
<input type="hidden" name="sf_method" value="put" />
<?php endif; ?>
  <table>
    <tfoot>
      <tr>
        <td colspan="2">
          <?php echo $form->renderHiddenFields(false) ?>
          &nbsp;<a href="<?php echo url_for('schema/index') ?>">Back to list</a>
          <?php if (!$form->getObject()->isNew()): ?>
            &nbsp;<?php echo link_to('Delete', 'schema/delete?schemaid='.$form->getObject()->getSchemaid(), array('method' => 'delete', 'confirm' => 'Are you sure?')) ?>
          <?php endif; ?>
          <input type="submit" value="Save" />
        </td>
      </tr>
    </tfoot>
    <tbody>
      <?php echo $form->renderGlobalErrors() ?>
      <tr>
        <th><?php echo $form['name']->renderLabel() ?></th>
        <td>
          <?php echo $form['name']->renderError() ?>
          <?php echo $form['name'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['imageName']->renderLabel() ?></th>
        <td>
          <?php echo $form['imageName']->renderError() ?>
          <?php echo $form['imageName'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['inputType']->renderLabel() ?></th>
        <td>
          <?php echo $form['inputType']->renderError() ?>
          <?php echo $form['inputType'] ?>
        </td>
      </tr>
      <tr>
        <th><?php echo $form['effectType']->renderLabel() ?></th>
        <td>
          <?php echo $form['effectType']->renderError() ?>
          <?php echo $form['effectType'] ?>
        </td>
      </tr>
    </tbody>
  </table>
</form>
