<?php use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>
<?php use_helper('I18N') ?>

<div id="userSettingsForm" class="tableShow">
    <form action="<?php echo url_for('userSettings/update') ?>" class="stdForm" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
        <?php if (!$form->getObject()->isNew()): ?>
            <input type="hidden" name="sf_method" value="put" />
        <?php endif; ?>
        <table>
            <tfoot>
                <tr>
                    <td colspan="2">

                    	<?php echo $form['userId'] ?>
                        <?php echo $form->renderHiddenFields(false) ?>
                        &nbsp;<a href="<?php echo url_for('userSettings/index') ?>" class="btn"><?php echo __('Powrót') ?></a>

                        <input type="submit" class="btn btn-warning" value="<?php echo __('Zapisz') ?>" />
                    </td>
                </tr>
            </tfoot>
            <tbody>
                <?php echo $form->renderGlobalErrors() ?>
                <tr>
                    <th><?php echo $form['currentCompanyId']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['currentCompanyId']->renderError() ?>
                        <?php echo $form['currentCompanyId'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['startYear']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['startYear']->renderError() ?>
                        <?php echo $form['startYear'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['endYear']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['endYear']->renderError() ?>
                        <?php echo $form['endYear'] ?>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>