<?php

abstract class BaseAnswerYearsAutoFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'questionNumber'    => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'questionSubnumber' => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'operationType'     => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'answerNumbers'     => new sfWidgetFormFilterInput(array('with_empty' => false)),
    ));

    $this->setValidators(array(
      'questionNumber'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'questionSubnumber' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'operationType'     => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'answerNumbers'     => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('answer_years_auto_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerYearsAuto';
  }

  public function getFields()
  {
    return array(
      'answerYearsAutoId' => 'Number',
      'questionNumber'    => 'Number',
      'questionSubnumber' => 'Number',
      'operationType'     => 'Number',
      'answerNumbers'     => 'Text',
    );
  }
}
