<?php

abstract class BaseAnswerYearsRangeAutoFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'questionNumber'         => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'questionSubnumber'      => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'answerNumber'           => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'answerSubnumber'        => new sfWidgetFormFilterInput(array('with_empty' => false)),
    ));

    $this->setValidators(array(
      'questionNumber'         => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'questionSubnumber'      => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'answerNumber'           => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'answerSubnumber'        => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('answer_years_range_auto_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerYearsRangeAuto';
  }

  public function getFields()
  {
    return array(
      'answerYearsRangeAutoId' => 'Number',
      'questionNumber'         => 'Number',
      'questionSubnumber'      => 'Number',
      'answerNumber'           => 'Number',
      'answerSubnumber'        => 'Number',
    );
  }
}
