<?php

abstract class BaseAnswerYearsRangeFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'startYear'          => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'endYear'            => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'value'              => new sfWidgetFormFilterInput(),
      'questionId'         => new sfWidgetFormPropelChoice(array('model' => 'Question', 'add_empty' => true)),
      'companyId'          => new sfWidgetFormPropelChoice(array('model' => 'Company', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'startYear'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'endYear'            => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'value'              => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'questionId'         => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Question', 'column' => 'questionId')),
      'companyId'          => new sfValidatorPropelChoice(array('required' => false, 'model' => 'Company', 'column' => 'companyId')),
    ));

    $this->widgetSchema->setNameFormat('answer_years_range_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerYearsRange';
  }

  public function getFields()
  {
    return array(
      'answerYearsRangeId' => 'Number',
      'startYear'          => 'Number',
      'endYear'            => 'Number',
      'value'              => 'Number',
      'questionId'         => 'ForeignKey',
      'companyId'          => 'ForeignKey',
    );
  }
}
