<?php

abstract class BaseInnovationSchemaFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'name'       => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'imageName'  => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'inputType'  => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'effectType' => new sfWidgetFormFilterInput(array('with_empty' => false)),
    ));

    $this->setValidators(array(
      'name'       => new sfValidatorPass(array('required' => false)),
      'imageName'  => new sfValidatorPass(array('required' => false)),
      'inputType'  => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'effectType' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('innovation_schema_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'InnovationSchema';
  }

  public function getFields()
  {
    return array(
      'schemaId'   => 'Number',
      'name'       => 'Text',
      'imageName'  => 'Text',
      'inputType'  => 'Number',
      'effectType' => 'Number',
    );
  }
}
