<?php

abstract class BaseQuestionFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'number'             => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'subnumber'          => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'type'               => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'isColoredTab'       => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'isColoredSchema'    => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'requiredQuestion'   => new sfWidgetFormFilterInput(),
      'predictionQuestion' => new sfWidgetFormFilterInput(),
      'cssClassName'       => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'number'             => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'subnumber'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'type'               => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'isColoredTab'       => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'isColoredSchema'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'requiredQuestion'   => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'predictionQuestion' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'cssClassName'       => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('question_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'Question';
  }

  public function getFields()
  {
    return array(
      'questionId'         => 'Number',
      'number'             => 'Number',
      'subnumber'          => 'Number',
      'type'               => 'Number',
      'isColoredTab'       => 'Number',
      'isColoredSchema'    => 'Number',
      'requiredQuestion'   => 'Number',
      'predictionQuestion' => 'Number',
      'cssClassName'       => 'Text',
    );
  }
}
