<?php

abstract class BaseQuestionI18nFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'questionText'   => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'answerHeader'   => new sfWidgetFormFilterInput(),
      'questionFooter' => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'questionText'   => new sfValidatorPass(array('required' => false)),
      'answerHeader'   => new sfValidatorPass(array('required' => false)),
      'questionFooter' => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('question_i18n_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'QuestionI18n';
  }

  public function getFields()
  {
    return array(
      'id'             => 'ForeignKey',
      'culture'        => 'Text',
      'questionText'   => 'Text',
      'answerHeader'   => 'Text',
      'questionFooter' => 'Text',
    );
  }
}
