<?php

abstract class BaseSchemaPositionFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'questionNumber'    => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'questionSubnumber' => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'positionNumber'    => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'schemaId'          => new sfWidgetFormPropelChoice(array('model' => 'InnovationSchema', 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'questionNumber'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'questionSubnumber' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'positionNumber'    => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'schemaId'          => new sfValidatorPropelChoice(array('required' => false, 'model' => 'InnovationSchema', 'column' => 'schemaId')),
    ));

    $this->widgetSchema->setNameFormat('schema_position_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'SchemaPosition';
  }

  public function getFields()
  {
    return array(
      'schemaPositionId'  => 'Number',
      'questionNumber'    => 'Number',
      'questionSubnumber' => 'Number',
      'positionNumber'    => 'Number',
      'schemaId'          => 'ForeignKey',
    );
  }
}
