<?php

abstract class BaseUserSettingsFormFilter extends BaseFormFilterPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'userId'           => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'currentCompanyId' => new sfWidgetFormFilterInput(),
      'startYear'        => new sfWidgetFormFilterInput(array('with_empty' => false)),
      'endYear'          => new sfWidgetFormFilterInput(array('with_empty' => false)),
    ));

    $this->setValidators(array(
      'userId'           => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'currentCompanyId' => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'startYear'        => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'endYear'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
    ));

    $this->widgetSchema->setNameFormat('user_settings_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'UserSettings';
  }

  public function getFields()
  {
    return array(
      'userSettingsId'   => 'Number',
      'userId'           => 'Number',
      'currentCompanyId' => 'Number',
      'startYear'        => 'Number',
      'endYear'          => 'Number',
    );
  }
}
