<?php

class AnswerCheckboxForm extends BaseAnswerCheckboxForm {

    public function configure() {
        $this->setWidget('companyId', new sfWidgetFormInputHidden());
        $this->setWidget('answerMixedId', new sfWidgetFormInputHidden());
        $this->setWidget('isChecked', new sfWidgetFormChoice(array('choices' => array('' => 'tak lub nie', 1 => 'tak', 0 => 'nie'))));
        
        $this->setValidator('companyId', new sfValidatorChoice(array('choices' => array($this->getObject()->getCompanyid()), 'empty_value' => $this->getObject()->getCompanyid(), 'required' => false)));
        $this->setValidator('answerMixedId', new sfValidatorChoice(array('choices' => array($this->getObject()->getAnswermixedid()), 'empty_value' => $this->getObject()->getAnswermixedid(), 'required' => false)));
        $this->setValidator('isChecked', new sfValidatorChoice(array('choices' => array(1, 0), 'required' => false)));
    }

}
