<?php

class AnswerListForm extends BaseAnswerListForm {

    public function configure() {
        $this->setWidget('questionId', new sfWidgetFormInputHidden());
        $this->setWidget('companyId', new sfWidgetFormInputHidden());
        $this->setWidget('year', new sfWidgetFormInputHidden());
        $this->setWidget('listContent', new sfWidgetFormTextarea());

        $this->setValidator('questionId', new sfValidatorChoice(array('choices' => array($this->getObject()->getQuestionid()), 'empty_value' => $this->getObject()->getQuestionid(), 'required' => false)));
        $this->setValidator('companyId', new sfValidatorChoice(array('choices' => array($this->getObject()->getCompanyid()), 'empty_value' => $this->getObject()->getCompanyid(), 'required' => false)));
        $this->setValidator('year', new sfValidatorChoice(array('choices' => array($this->getObject()->getYear()), 'empty_value' => $this->getObject()->getYear(), 'required' => false)));

        $requiredQuestion = $this->getOption('requiredQuestion', 0);
        $required = false;
        if($requiredQuestion == 1) {
            $required = true;
        }
        $this->setValidator('listContent', new sfValidatorString(array('max_length' => 245, 'required' => $required)));
        
        $this->widgetSchema->setLabels(array(
            'listContent' => $this->getObject()->getYear()
        ));
    }

}
