<?php

class AnswerMixedForm extends BaseAnswerMixedForm {

    public function configure() {
        $this->embedI18n(array($this->getCurrentCulture()));
        $this->widgetSchema['questionNumber'] = new sfWidgetFormInputHidden();
        $this->widgetSchema['questionSubnumber'] = new sfWidgetFormInputHidden();
        
        $this->widgetSchema[$this->getCurrentCulture()]['id'] = new sfWidgetFormInputHidden();
        $this->widgetSchema[$this->getCurrentCulture()]['answerText'] = new sfWidgetFormInputText();
        
        $this->validatorSchema[$this->getCurrentCulture()]['id'] = new sfValidatorPropelChoice(array('model' => 'AnswerMixed', 'column' => 'answerMixedId', 'required' => false));
        $this->validatorSchema[$this->getCurrentCulture()]['answerText'] = new sfValidatorString(array('max_length' => 245));
        
         $this->widgetSchema->setLabels(array(
            'type' => 'Typ',
            'number' => 'Numer odpowiedzi',
            'subnumber' => 'Pod numer odpowiedzi',
        ));
        $this->widgetSchema[$this->getCurrentCulture()]->setLabels(array(
            'answerText' => 'Treść pod pytania',
        ));
    }

    public function getCurrentCulture() {
        return isset($this->options['culture']) ? $this->options['culture'] : 'pl_PL';
    }

}
