<?php

class AnswerTextForm extends BaseAnswerTextForm {

    public function configure() {
        $this->setWidget('companyId', new sfWidgetFormInputHidden());
        $this->setWidget('answerMixedId', new sfWidgetFormInputHidden());
        $this->setWidget('text', new sfWidgetFormTextarea());

        $this->setValidator('companyId', new sfValidatorChoice(array('choices' => array($this->getObject()->getCompanyid()), 'empty_value' => $this->getObject()->getCompanyid(), 'required' => false)));
        $this->setValidator('answerMixedId', new sfValidatorChoice(array('choices' => array($this->getObject()->getAnswermixedid()), 'empty_value' => $this->getObject()->getAnswermixedid(), 'required' => false)));
        
        $requiredQuestion = $this->getOption('requiredQuestion', 0);
        $required = false;
        if($requiredQuestion == 1) {
            $required = true;
        }
        $this->setValidator('text', new sfValidatorString(array('max_length' => 245, 'required' => $required)));
    }

}
