<?php
class AnswerYearsRangeForm extends BaseAnswerYearsRangeForm {

    public function configure() {
        $this->setWidget('questionId', new sfWidgetFormInputHidden());
        $this->setWidget('companyId', new sfWidgetFormInputHidden());
        $this->setWidget('startYear', new sfWidgetFormInputHidden());
        $this->setWidget('endYear', new sfWidgetFormInputHidden());

        $this->setValidator('questionId', new sfValidatorChoice(array('choices' => array($this->getObject()->getQuestionid()), 'empty_value' => $this->getObject()->getQuestionid(), 'required' => false)));
        $this->setValidator('companyId', new sfValidatorChoice(array('choices' => array($this->getObject()->getCompanyid()), 'empty_value' => $this->getObject()->getCompanyid(), 'required' => false)));
        $this->setValidator('startYear', new sfValidatorChoice(array('choices' => array($this->getObject()->getStartyear()), 'empty_value' => $this->getObject()->getStartyear(), 'required' => false)));
        $this->setValidator('endYear', new sfValidatorChoice(array('choices' => array($this->getObject()->getEndyear()), 'empty_value' => $this->getObject()->getEndyear(), 'required' => false)));

        $requiredQuestion = $this->getOption('requiredQuestion', 0);
        $required = false;
        if($requiredQuestion == 1) {
            $required = true;
        }
        $this->setValidator('value', new sfValidatorNumber(array('required' => $required)));
        
        $this->widgetSchema->setLabels(array(
            'value' => $this->getObject()->getEndyear().' - '.$this->getObject()->getStartyear()
        ));
    }

}
