<?php
class EfficacyForm extends BaseEfficacyForm {

    public function configure() {
        $i18n = sfContext::getInstance()->getI18n();
        $chooseLabel = $i18n->__('wybierz');
        
        $this->setWidget('ww', new sfWidgetFormChoice(array('choices' => array('-1' => $chooseLabel, '1' => '1.00', '0.25' => 0.25, '0.5' => 0.5, '0.75' => 0.75, '1.25' => 1.25)), array('class' => 'input-small')));
        $this->setWidget('wt', new sfWidgetFormChoice(array('choices' => array('-1' => $chooseLabel, '1' => '1.00', '0.75' => 0.75, '1.25' => 1.25)), array('class' => 'input-small')));
        $this->setWidget('wn', new sfWidgetFormChoice(array('choices' => array('-1' => $chooseLabel, '1' => '1.00', '0.75' => 0.75, '1.25' => 1.25)), array('class' => 'input-small')));
        $this->setWidget('wo', new sfWidgetFormChoice(array('choices' => array('-1' => $chooseLabel, '1' => '1.00', '0.75' => 0.75, '1.25' => 1.25)), array('class' => 'input-small')));
        $this->setWidget('companyId', new sfWidgetFormInputHidden());
        $this->setWidget('number', new sfWidgetFormInputHidden());
        
        $this->setValidator('ww', new sfValidatorChoice(array('choices' => array('-1', '1', '0.25', '0.5', '0.75', '1.25'), 'required' => false)));
        $this->setValidator('wt', new sfValidatorChoice(array('choices' => array('-1', '1', '0.75', '1.25'), 'required' => false)));
        $this->setValidator('wn', new sfValidatorChoice(array('choices' => array('-1', '1', '0.75', '1.25'), 'required' => false)));
        $this->setValidator('wo', new sfValidatorChoice(array('choices' => array('-1', '1', '0.75', '1.25'), 'required' => false)));
        $this->setValidator('companyId', new sfValidatorChoice(array('choices' => array($this->getObject()->getCompanyid()), 'empty_value' => $this->getObject()->getCompanyid(), 'required' => false)));
    }

}
