<?php

abstract class BaseAnswerMixedI18nForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'         => new sfWidgetFormInputHidden(),
      'culture'    => new sfWidgetFormInputHidden(),
      'answerText' => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'         => new sfValidatorPropelChoice(array('model' => 'AnswerMixed', 'column' => 'answerMixedId', 'required' => false)),
      'culture'    => new sfValidatorChoice(array('choices' => array($this->getObject()->getCulture()), 'empty_value' => $this->getObject()->getCulture(), 'required' => false)),
      'answerText' => new sfValidatorString(array('max_length' => 245)),
    ));

    $this->widgetSchema->setNameFormat('answer_mixed_i18n[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerMixedI18n';
  }


}
