<?php

abstract class BaseAnswerYearsRangeAutoForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'answerYearsRangeAutoId' => new sfWidgetFormInputHidden(),
      'questionNumber'         => new sfWidgetFormInputText(),
      'questionSubnumber'      => new sfWidgetFormInputText(),
      'answerNumber'           => new sfWidgetFormInputText(),
      'answerSubnumber'        => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'answerYearsRangeAutoId' => new sfValidatorChoice(array('choices' => array($this->getObject()->getAnsweryearsrangeautoid()), 'empty_value' => $this->getObject()->getAnsweryearsrangeautoid(), 'required' => false)),
      'questionNumber'         => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'questionSubnumber'      => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'answerNumber'           => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
      'answerSubnumber'        => new sfValidatorInteger(array('min' => -2147483648, 'max' => 2147483647)),
    ));

    $this->widgetSchema->setNameFormat('answer_years_range_auto[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'AnswerYearsRangeAuto';
  }


}
