<?php use_stylesheets_for_form($form) ?>
<?php use_javascripts_for_form($form) ?>
<?php use_helper('I18N') ?>

<div id="companyForm" class="tableShow">
    <form action="<?php echo url_for('company/' . ($form->getObject()->isNew() ? 'create' : 'update') . (!$form->getObject()->isNew() ? '?companyid=' . $form->getObject()->getCompanyid() : '')) ?>" method="post" <?php $form->isMultipart() and print 'enctype="multipart/form-data" ' ?>>
        <?php if (!$form->getObject()->isNew()): ?>
            <input type="hidden" name="sf_method" value="put" />
        <?php endif; ?>
        <?php echo $form['userId'] ?>
        <table>
            <tfoot>
                <tr>
                    <td colspan="2">
                        <?php echo $form->renderHiddenFields(false) ?>
                        &nbsp;<a href="<?php echo url_for('company/index') ?>" class="btn"><?php echo __('Powrót do listy') ?></a>
                        <?php if (!$form->getObject()->isNew()): ?>
                            &nbsp;<?php echo link_to(__('Usuń'), 'company/delete?companyid=' . $form->getObject()->getCompanyid(), array('method' => 'delete', 'confirm' => __('Czy jesteś pewny ?'), 'class' => 'btn btn-danger')) ?>
                        <?php endif; ?>
                        <input type="submit" class="btn btn-warning" value="<?php echo __('Zapisz') ?>" />
                    </td>
                </tr>
            </tfoot>
            <tbody>
                <?php echo $form->renderGlobalErrors() ?>
                <tr>
                    <th><?php echo $form['name']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['name']->renderError() ?>
                        <?php echo $form['name'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['streetName']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['streetName']->renderError() ?>
                        <?php echo $form['streetName'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['postCode']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['postCode']->renderError() ?>
                        <?php echo $form['postCode'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['place']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['place']->renderError() ?>
                        <?php echo $form['place'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['province']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['province']->renderError() ?>
                        <?php echo $form['province'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['country']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['country']->renderError() ?>
                        <?php echo $form['country'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['phoneNumber']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['phoneNumber']->renderError() ?>
                        <?php echo $form['phoneNumber'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['faxNumber']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['faxNumber']->renderError() ?>
                        <?php echo $form['faxNumber'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['email']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['email']->renderError() ?>
                        <?php echo $form['email'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['siteAddres']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['siteAddres']->renderError() ?>
                        <?php echo $form['siteAddres'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['pkdNumber']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['pkdNumber']->renderError() ?>
                        <?php echo $form['pkdNumber'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['regonNumber']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['regonNumber']->renderError() ?>
                        <?php echo $form['regonNumber'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['propertyType']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['propertyType']->renderError() ?>
                        <?php echo $form['propertyType'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['creationYear']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['creationYear']->renderError() ?>
                        <?php echo $form['creationYear'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['nationalHeadquarters']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['nationalHeadquarters']->renderError() ?>
                        <?php echo $form['nationalHeadquarters'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['abroadHeadquarters']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['abroadHeadquarters']->renderError() ?>
                        <?php echo $form['abroadHeadquarters'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['isProductInnovation']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['isProductInnovation']->renderError() ?>
                        <?php echo $form['isProductInnovation'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['isProcessInnovation']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['isProcessInnovation']->renderError() ?>
                        <?php echo $form['isProcessInnovation'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['isOrganisationInnovation']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['isOrganisationInnovation']->renderError() ?>
                        <?php echo $form['isOrganisationInnovation'] ?>
                    </td>
                </tr>
                <tr>
                    <th><?php echo $form['isCustomerServiceInnovation']->renderLabel() ?></th>
                    <td>
                        <?php echo $form['isCustomerServiceInnovation']->renderError() ?>
                        <?php echo $form['isCustomerServiceInnovation'] ?>
                    </td>
                </tr>
            </tbody>
        </table>
    </form>
</div>